Jump to content

[SOLVED] Solder not syncing with Launcher or Technic Platform


Go to solution Solved by Nentify,

Recommended Posts

Hey guys, hope to get some help here while I'm trying to resolve my problem since yesterday morning.

I want to use Solder with my Modpack. The configuration and installation worked fine, I installed all dependencies for Solder and got no errors.

I created new mods in Solder, made a modpack and linked it to my modpack here on technicpack.net.

Everything worked fine until now. I've tried to roll out a now build for my modpack, but the mod version under my modpacks name isn't refreshing.

The Technic Launcher is just showing Version 1.0, but I can't download it, getting just an error that a specific .zip file couldn't be downloaded.

I've tried to mess around with my version numbers to point out that this isn't the problem. It wasn't.

 

I hope someone can help my with this problem, here are my server specs:

Debian 7
LAMP installation with Plesk 12
PHP 5.4.36
Up-to-date Composer installation
 

' alt='' class='ipsImage' width="1000px" height="281px">">1561

1562

' alt='' class='ipsImage' width="1000px" height="329px">">1563

' alt='' class='ipsImage' width="1000px" height="281px">

' alt='' class='ipsImage' >

' alt='' class='ipsImage' width="1000px" height="329px">

Link to post
Share on other sites

Hey guys, hope to get some help here while I'm trying to resolve my problem since yesterday morning.

I want to use Solder with my Modpack. The configuration and installation worked fine, I installed all dependencies for Solder and got no errors.

I created new mods in Solder, made a modpack and linked it to my modpack here on technicpack.net.

Everything worked fine until now. I've tried to roll out a now build for my modpack, but the mod version under my modpacks name isn't refreshing.

The Technic Launcher is just showing Version 1.0, but I can't download it, getting just an error that a specific .zip file couldn't be downloaded.

I've tried to mess around with my version numbers to point out that this isn't the problem. It wasn't.

 

I hope someone can help my with this problem, here are my server specs:

Debian 7
LAMP installation with Plesk 12
PHP 5.4.36
Up-to-date Composer installation
 

">1561

1562

">1563

There's a 1 hour cache between Modpack updates to recommended and the Tefhnic Platform showing such in the mod list. It's nt out of sync, it's just cached.

Link to post
Share on other sites

To expand, your build should be available in the Technic Launcher, it's likely just broken. The errors in the console or logs should tell you why. Amaxter is correct though, the platform website itself has a 1 hour cache, so updates will not be reflected on your modpack page immediately.

Link to post
Share on other sites

@Amaxter: I thought that something like that could 'cause my problem' but I've waited 12+ hours now and still just one build that can't be downloaded is shown in the Launcher. Technicpack.net is still showing a different version.

 

@ Nentify: Where are the log files located? Can't find them in my solder insall directory.

Link to post
Share on other sites

@Amaxter: I thought that something like that could 'cause my problem' but I've waited 12+ hours now and still just one build that can't be downloaded is shown in the Launcher. Technicpack.net is still showing a different version.

 

@ Nentify: Where are the log files located? Can't find them in my solder insall directory.

​What version of Solder are you using? If the builds are private or hidden, that could cause issues with them showing.

If you're able to select the pack in your launcher and it crashes when you play it, you need to look at the crash reports or logs for your modpack, not Solder.

If a file can't be downloaded, you need to view your Technic Launcher logs files to find out what mod is causing the issue.

Link to post
Share on other sites

I'm using Solder 0.7.1.1, builds are published and not private (apart from 1.0 and 1.2 ~ like in my screenshot @ my first post).

Recommended is set to build 5415, launcher is JUST showing build 7/97/9 (there isn't any other build shown in the dropdown menu) and on my modpack page at technicpack.net Version 5415 is shown.

When I'm trying to install my modpack using the launcher the error in the second screenshot appears.
Thank you for your help!

' alt='' class='ipsImage' >

' alt='' class='ipsImage' >

' alt='' class='ipsImage' >

' alt='' class='ipsImage' >

Link to post
Share on other sites

What is your Solder URL? It might also be worth joining IRC, there are a few people available there who can help you with any Solder issues. Feel free to ping me (Nentify) if I'm on, or GenPage (current maintainer or Solder) if he's available.

Link to post
Share on other sites
  • Solution

I can see the appropriate builds here http://solder.game-gumba.de/TechnicSolder/public/api/modpack/game-gumba-keinelustmehr - But I cannot see them on the launcher. Your modpack page shows version 5415 for me. I'd recommend hopping on IRC and contacting GenPage. However as a quick note - Your web root should be the public/ folder, not whatever folder TechnicSolder is in.

Link to post
Share on other sites

I want to post a status update with all things I've tried the last days.

So first of all, it's working now. Not how I wanted, but it works ;).
I tried to use a subdomain for Solder, yesterday I figured out that this caused my problem with Solder not syncing with the platform or the launcher. I can't say it was plesk's or my fault and I won't look into it anymore, so sorry for the folks that are running into the same problems with subdomains and plesk.

So I've tried it using my main domain. Some problems occurred there with Solder itself, I think that this was caused by poorly configured settings (apache, php, etc.). I messed too much around with them the last days.
Knowing that and knowing that I will have problems with my subdomain I've tried to build everything from scratch on my second vps. Debian 7 minimal and a fresh manual LAMP installation. So everything worked fine, I've got no problems using my new setup.

After 3 days of work I'll leave it like it is now. My main server will stay for my minecraft server and as a community platform. Solder will be on my second server, which is only meant to run solder and nothing else.

A big thanks to Nentify who tried to help me with my problem and thanks for the hint with the web root :).

Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

  • Similar Content

    • By bradleybrand
      I am asking on behalf of my friend with autism.
      So we downloaded the Minecraft Launcher from the official website, installed and ran. It experienced issues download/installing the latest version of Minecraft.
      Luckily, from my computer, I backed up the need Minecraft files into a .zip file and shared that with him. Vanilla Minecraft works and runs.
      From there, went on Technic Launcher. Vanilla Minecraft won't download and install. Neither will my modpack.
      His Technic Launcher has an issue actually downloading and installing modpacks. Even the official ones.
      ---
      We have turned firewall off. We have uninstalled and reinstalled Minecraft Launcher. We have deleted Minecraft and Technic files from %appdata%, as well as using CCleaner to remove any extras. We have uninstalled 64-bit Java and redownloaded and reinstalled 64-bit Java. ---
      What could be a possible fix for this issue?
      Has anyone else experienced such an issue?
    • By Cosmology27
      Hey there, I haven't played Technic/Minecraft in probably 5 years or so, and I'm going to be running a server once again, so I'm just looking for some help.
      I don't see how to do a totally clean install of Technic. It doesn't look like it's really "installed" on my computer, because it doesn't show up in the programs list, so I can't uninstall it. If I download the new launcher, it just opens up the old version of Technic I had (last opened 2 years ago, but I didn't play much then). Is there a way to actually do a fresh install?
      I have some friends wanting to join my server, and from years ago I remember that the launcher would automatically set the RAM allocation quite low, and you actually had to go into the settings and change that manually. This was required for basically any modpack, because the automatic RAM allocation was so low. I know it's silly, but I have found that the majority of people actually can't manage that. If you tell them they need to go adjusting settings, they get discouraged. So for example, people that aren't good with computers, or younger kids, who love Minecraft, things like Technic are really nice, because they basically just have to click play. Is there any way to make the RAM allocation automatically increase when you run my modpack? Or are we actually forced to increase RAM allocation? (It seems odd to me, because no other program ever requires that you do this, if I run Skyrim, it doesn't make me decide how much RAM to allocate, regardless of modding)
      In terms of the files for the actual modpack, are there better ways to do it now? I remember myself and others used to use Dropbox, but they've really fallen behind, and I remember they changed how things worked, so it made it quite difficult to use Dropbox to share the files. How are people sharing files these days?
      I also remember a website that would allow you to create a redirection for your IP address (I forgot what the proper term is). Basically, your 123.235.543 whatever IP address you have, will change into something like "CosmosServer" so that you can let people have access to your IP, without actually giving them your IP. The site takes anyone looking for "CosmosServer", and makes them actually look for my IP. Anyone remember what this is called, or what site to use for this?
      Lastly, if you can't have RAM automatically allocated, does anyone know what Technic STARTS your RAM allocation at? I can't figure out how to clean install, so I'd possibly like to try and make a lightweight modpack that will work with the auto allocation, so what does it automatically set RAM to?
       
      Random last point, this forum post page KEEPS bashing my cursor back to the security check. While typing this up it forced me back there multiple times, forcing me to uncheck that I'm not a robot, and I then had to refresh the page to fix it. Why in the world is that happening? Very annoying.
       
      Appreciate any help you can give! Thanks!
    • By aguamieles
      Hey everyone! I'm relatively new to Technic, and I'm having some problems launching modpacks. Whenever I run a modpack, the Minecraft window gets stuck on a white screen. I am running on a Macbook Pro on Mojave 10.14.4. Any advice on how to fix this? If needed, I can post a pastebin from my Technic console. Thank you!
    • By alexsunny123
      Hello,
       
      I have a problem with technic launcher . The problem is that when i wan't to log in with my account i got a error : Unable to authenticate account to minecraft.net .
       
      thanks
      alexsunny
    • By Davy2011
      So i've had this server from the looks for quite some years and it ran fine. But now when I try to play it, it starts up normally, then going to the world to boot it up, then BAM! It closes with "server closed", then just crashes just like that and throws me this error. I tried it with and without Optifine, yet it still throws the same complaint at me. I tried to remove any persky mods that was causing the problem, but nothing. I even updated every mod that was outdated using a mod that detects whats outdated and whatnot, yet it still did the same crash to me. Anything to do? And yes, I know its talking about Optifine not being compatible, but I don't know why it still crashes even with it removed. I've explained this all over and people just can't help. If nobody can help out on this, forget it, i'll just make a whole new thing and scrap this.
       
      Edit: I've already fixed it myself, thanks for the help.
       
×
×
  • Create New...